%define upstream_name    DateTime-Format-RFC3339
%define upstream_version v1.2.0

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Parse and format RFC3339 datetime strings
License:    Public domain
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/DateTime/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(DateTime)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildRequires: perl(strict)
BuildRequires: perl(version)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This module understands the RFC3339 date/time format, an ISO 8601 profile,
defined at http://tools.ietf.org/html/rfc3339 .

It can be used to parse these formats in order to create the appropriate
objects.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Wed Feb 12 2020 umeabot <umeabot> 1.2.0-4.mga8
+ Revision: 1493877
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.2.0-3.mga7
+ Revision: 1267037
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 1.2.0-2.mga6
+ Revision: 1025241
- Rebuild for perl 5.22.2

* Fri Apr 15 2016 shlomif <shlomif> 1.2.0-1.mga6
+ Revision: 1001795
- update to v1.2.0

* Mon Feb 08 2016 umeabot <umeabot> 1.0.5-7.mga6
+ Revision: 948907
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 umeabot <umeabot> 1.0.5-6.mga5
+ Revision: 788589
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 1.0.5-5.mga5
+ Revision: 750662
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.5-4.mga5
+ Revision: 684283
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.0.5-3.mga4
+ Revision: 510754
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.0.5-2.mga3
+ Revision: 365646
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Apr 04 2011 jquelin <jquelin> 1.0.5-1.mga1
+ Revision: 80426
- update to v1.0.5

* Mon Jan 24 2011 jquelin <jquelin> 1.0.4-1.mga1
+ Revision: 36205
- mageia rebuild
- imported package perl-DateTime-Format-RFC3339


* Sat Dec 25 2010 Shlomi Fish <shlomif@mandriva.org> 1.0.4-1mdv2011.0
+ Revision: 624987
- import perl-DateTime-Format-RFC3339

